Subject: bug#50902: 28.0.50; emacs-module-tests time out

From: Michael Albinus <[email-masked]>
Date: Mon, 25 Oct 2021 14:57:13 +0200

Michael Albinus <[email-masked]> writes:

Hi Philipp,

> Both outputs don't look too informative. What else can I do? Do you want
> to get the core files? Note, that I'm not fluent with gdb; precise
> instructions are needed.

I've tried now to run the test interactively, after log in to the docker
container:

--8<---------------cut here---------------start------------->8---
root@2499288dd2cf:/checkout# make -C test emacs-module-tests
make: Entering directory '/checkout/test'
make[1]: Entering directory '/checkout/test'
  GEN      src/emacs-module-tests.log
Running 38 tests (2021-10-25 12:52:58+0000, selector `(not (or (tag :unstable) (tag :nativecomp)))')
   passed   1/38  emacs-module-tests/interleaved-threads (0.006767 sec)
   passed   2/38  mod-test-add-nanosecond/invalid (0.000289 sec)
   passed   3/38  mod-test-add-nanosecond/nil (0.000123 sec)
   passed   4/38  mod-test-add-nanosecond/valid (0.000579 sec)
   passed   5/38  mod-test-double (0.000302 sec)
   passed   6/38  mod-test-globref-free-test (0.000150 sec)
   passed   7/38  mod-test-globref-make-test (0.055301 sec)
   passed   8/38  mod-test-globref-reordered (0.000733 sec)
   passed   9/38  mod-test-make-string/empty (0.000503 sec)
   passed  10/38  mod-test-make-string/nonempty (0.000600 sec)
   passed  11/38  mod-test-nanoseconds (0.000774 sec)
   passed  12/38  mod-test-non-local-exit-funcall-normal (0.000384 sec)
   passed  13/38  mod-test-non-local-exit-funcall-signal (0.000350 sec)
   passed  14/38  mod-test-non-local-exit-funcall-throw (0.000381 sec)
   passed  15/38  mod-test-non-local-exit-signal-test (0.368848 sec)
   passed  16/38  mod-test-non-local-exit-throw-test (0.006130 sec)
   passed  17/38  mod-test-sleep-until (0.203062 sec)
   passed  18/38  mod-test-string-a-to-b-test (0.000668 sec)
   passed  19/38  mod-test-sum-docstring (0.000253 sec)
   passed  20/38  mod-test-sum-test (0.000665 sec)
   passed  21/38  mod-test-userptr-fun-test (0.000466 sec)
   passed  22/38  mod-test-vector-test (0.009041 sec)
   passed  23/38  module--func-arity (0.004958 sec)
   passed  24/38  module--help-function-arglist (0.000791 sec)
2021 Oct 25 08:52:59 emba kernel BUG at /build/linux-Pv5wqf/linux-4.4.0/mm/memory.c:3214!
2021 Oct 25 08:52:59 emba RIP  [<ffffffff811cd1ae>] handle_mm_fault+0x13de/0x1b80
--8<---------------cut here---------------end--------------->8---

Best regards, Michael.